summaryrefslogtreecommitdiffstats
path: root/src/webengine/doc/src/qtwebengine-platform-notes.qdoc
diff options
context:
space:
mode:
Diffstat (limited to 'src/webengine/doc/src/qtwebengine-platform-notes.qdoc')
-rw-r--r--src/webengine/doc/src/qtwebengine-platform-notes.qdoc78
1 files changed, 0 insertions, 78 deletions
diff --git a/src/webengine/doc/src/qtwebengine-platform-notes.qdoc b/src/webengine/doc/src/qtwebengine-platform-notes.qdoc
index 5ec70c0c..72c2c8b7 100644
--- a/src/webengine/doc/src/qtwebengine-platform-notes.qdoc
+++ b/src/webengine/doc/src/qtwebengine-platform-notes.qdoc
@@ -118,84 +118,6 @@
\note Qt WebEngine cannot be built for the 32-bit mode of OS X (using the
\c macx-clang-32 \c mkspec).
- \section1 Pepper Plugin API Support
-
- Qt WebEngine supports loading Pepper Plugin API (PPAPI) plugins if
- WebEngineSettings::pluginsEnabled or QWebEngineSettings::PluginsEnabled
- is set.
-
- Except for the Adobe Flash Player plugin, the plugins must be loaded manually using the
- Chromium command line syntax with the \c --register-pepper-plugins argument.
- The argument value is a list of entries, separated by commas, that contain the file path and
- one or several MIME types, separated by semicolons:
-
- \code
- <file-path-plugin1>;<mime-type-plugin1>,<file-path-plugin2>;<mime-type1-plugin2>;<mime-type2-plugin2>
- \endcode
-
- For example:
-
- \code
- --register-pepper-plugins="libppapi_example.so;application/x-ppapi-example"
- \endcode
-
- The MIME type is important because it determines which embeds the plugin is used for.
-
- \section2 Pepper Flash Player Plugin Support
-
- The Pepper Flash player plugin can be loaded automatically if it is installed in one of the
- following locations, depending on the platform:
-
- \list
- \li Windows
- \code
- C:\Windows\SysWOW64\Macromed\Flash\pepflashplayer*.dll
- C:\Windows\System32\Macromed\Flash\pepflashplayer*.dll
- \endcode
- \li OS X
- \code
- /Library/Internet Plug-Ins/PepperFlashPlayer/PepperFlashPlayer.plugin
- \endcode
- \li Linux
- \code
- /usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so
- /usr/lib/PepperFlash/libpepflashplayer.so
- /usr/lib64/chromium/PepperFlash/libpepflashplayer.so
- \endcode
- \endlist
-
- You can also load the Pepper Flash player from a specific location by using command line
- arguments:
-
- \code
- --ppapi-flash-path=./libpepflashplayer.so
- \endcode
-
- By default, the Flash version is set to \c{11.2.999.999}. You can use the
- \c{ppapi-flash-version=} argument to set another Flash version in the
- in the format \c{major.minor.build.revision}:
-
- \code
- --ppapi-flash-version=16.0.0.235
- \endcode
-
- \section1 Audio and Video Codec Support
-
- Qt WebEngine supports the MPEG-4 Part 14 (MP4) file format only if the required proprietary
- audio and video codecs, such as H.264 and MPEG layer-3 (MP3), have been enabled. Proprietary
- codecs can be enabled by passing the following option to qmake:
-
- \code
- qmake WEBENGINE_CONFIG+=use_proprietary_codecs
- \endcode
-
- \warning When distributing proprietary codec libraries, you must acquire licenses for them.
-
- \l FFmpeg is a cross-platform solution to record, convert, and stream audio and video. It can
- be configured for use with several codecs, which rises licensing issues during distribution
- with the codec libraries. For some codecs, open source implementations, such as \l {OpenH264},
- are available.
-
\section1 Default QSurfaceFormat OpenGL Profile Support
If a new default QSurfaceFormat with a modified OpenGL profile has to be set, it should be set